Bug 1663708 - Review Request: golang-github-jawher-mow-cli - Versatile library for building CLI applications in Go
Summary: Review Request: golang-github-jawher-mow-cli - Versatile library for building...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1663709
TreeView+ depends on / blocked
 
Reported: 2019-01-06 23:57 UTC by Carl George
Modified: 2019-01-31 03:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-22 18:09:27 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Comment 1 Elliott Sales de Andrade 2019-01-16 09:12:54 UTC
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Expat License", "Unknown or generated". 54 files have unknown
     license. Detailed output of licensecheck in 1663708-golang-github-jawher-mow-cli/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/gocode/src/github.com(golang-github-inconshreveable-
     mousetrap-devel, golang-github-davecgh-go-spew-devel, golang, golang-
     github-pelletier-go-toml-devel, golang-github-hashicorp-hcl-devel,
     golang-github-magiconair-properties-devel, golang-github-stretchr-
     testify-devel, golang-github-BurntSushi-toml-devel, golang-gopkg-yaml-
     devel-v2, golang-github-spf13-pflag-devel, golang-github-urfave-cli-
     devel, golang-github-mitchellh-go-homedir-devel, golang-github-kr-fs-
     devel, golang-github-kr-pretty-devel, golang-github-kr-pty-devel,
     golang-github-spf13-cobra-devel, golang-github-peterh-liner-devel,
     golang-github-mattn-go-runewidth-devel, golang-github-pmezard-go-
     difflib-devel, golang-github-spf13-cast-devel, golang-github-kr-text-
     devel, golang-github-pkg-errors-devel, golang-github-blang-semver-
     devel, golang-github-pelletier-go-buffruneio-devel, golang-github-
     spf13-viper-devel, golang-github-olekukonko-ts-devel, golang-github-
     cpuguy83-go-md2man-devel, golang-github-mitchellh-mapstructure-devel,
     golang-github-cheggaaa-pb-devel, golang-github-pkg-sftp-devel)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-jawher-mow-cli-devel-1.0.4-1.fc30.noarch.rpm
          golang-github-jawher-mow-cli-1.0.4-1.fc30.src.rpm
golang-github-jawher-mow-cli-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/jawher/mow.cli/.goipath
golang-github-jawher-mow-cli.src: W: no-%build-section
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
golang-github-jawher-mow-cli-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-jawher-mow-cli-devel:
    golang(github.com/jawher/mow.cli)
    golang(github.com/jawher/mow.cli/internal/container)
    golang(github.com/jawher/mow.cli/internal/flow)
    golang(github.com/jawher/mow.cli/internal/flow/flowdot)
    golang(github.com/jawher/mow.cli/internal/fsm)
    golang(github.com/jawher/mow.cli/internal/fsm/fsmdot)
    golang(github.com/jawher/mow.cli/internal/fsm/fsmtest)
    golang(github.com/jawher/mow.cli/internal/lexer)
    golang(github.com/jawher/mow.cli/internal/matcher)
    golang(github.com/jawher/mow.cli/internal/matcher/matchertest)
    golang(github.com/jawher/mow.cli/internal/parser)
    golang(github.com/jawher/mow.cli/internal/values)
    golang-github-jawher-mow-cli-devel
    golang-ipath(github.com/jawher/mow.cli)



Source checksums
----------------
https://github.com/jawher/mow.cli/archive/v1.0.4.tar.gz#/mow.cli-1.0.4.tar.gz :
  CHECKSUM(SHA256) this package     : 91ca115125d043cf7bfac6c1dacd9ce6c6795815b807b4a6307b070ca3dcfb5f
  CHECKSUM(SHA256) upstream package : 91ca115125d043cf7bfac6c1dacd9ce6c6795815b807b4a6307b070ca3dcfb5f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1663708 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2019-01-22 16:17:16 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-jawher-mow-cli

Comment 3 Fedora Update System 2019-01-22 18:07:47 UTC
golang-github-jawher-mow-cli-1.0.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8dceb084e

Comment 4 Fedora Update System 2019-01-22 18:07:50 UTC
golang-github-jawher-mow-cli-1.0.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e93ca6c4d0

Comment 5 Carl George 2019-01-22 18:09:27 UTC
rawhide build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1181519

Comment 6 Fedora Update System 2019-01-23 02:24:59 UTC
golang-github-jawher-mow-cli-1.0.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8dceb084e

Comment 7 Fedora Update System 2019-01-23 02:34:04 UTC
golang-github-jawher-mow-cli-1.0.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e93ca6c4d0

Comment 8 Fedora Update System 2019-01-31 02:11:53 UTC
golang-github-jawher-mow-cli-1.0.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-01-31 03:20:33 UTC
golang-github-jawher-mow-cli-1.0.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.